# Burp实现二级代理

## 目录

* 1.[实现原理&流量走向](##实现原理&流量走向)
* 2.[成果演示](##成果演示)
* 3.[成果演技术实现示](##技术实现)
* 4.[技术补充](##技术补充)

## 实现原理&流量走向
客户端-->Burp-->代理服务器(梯子)-->目标服务器

## 成果演示

1.未开启二级代理，通过Burp的"IP识别"&流量抓取"。

![4](.\Image\4.png)

![6](.\Image\6.png)



2.开启二级代理，通过Burp的"IP识别"&流量抓取"。

![5](.\Image\5.png)

![7](.\Image\7.png)

## 技术实现

1.设置浏览器代理(我这里是使用的"SwitchyOmega")将流量代理至本地指定端口

![1](.\Image\1.png)

2.设置Burp中"Proxy listeners"代理监听本机的指定端口(需与SwitchyOmega中的代理端口保持一致)

![2](.\Image\2.png)

3.设置代理服务器的端口，根据需要指定端口，最好选择一个没有被占用的端口。(这里就不截图演示了)

4.设置Burp的"SOCKS proxy"代理与代理服务器的指定"IP"&"端口"保持一致。

![3](.\Image\3.png)

## 技术补充

​		要实现流量经过"代理服务器"也可以将"代理服务器"设置为全局代理。也就是说可不做"SOCKS proxy"代理，但Burp的代理规则需保持不变。虽然这样也可以进行抓包，但会导致其它的流量都会经过代理服务器，可能会导致某些软件运行很慢或者不正常。

​		最好通过指定代理端口的方式，这样放包后既可以通过代理服务器，其它程序或软件也不会受影响。

------

*<u>注：本文章技术仅供学习和研究使用,请勿使用项目的技术手段用于非法用途,任何人造成的任何负面影响,与本人无关.</u>*

<u>[文章来源：https://fireworm.cc](https://fireworm.cc)</u>

